<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>StockTools</title>
    <link rel="icon" href="Iconos/rf_icono_vineta.png" type="image/x-icon"> 


</head>


<?php
session_start();

// Mostrar errores
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require('st_conexion.php');


$dsn = "mysql:host=$host;dbname=$db;charset=$charset";
$options = [
    PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION,
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC
];

try {
    $pdo = new PDO($dsn, $user, $pass, $options);
} catch (PDOException $e) {
    die("Error de conexion " . $e->getMessage());
}

if ($_SERVER["REQUEST_METHOD"] === "POST" && isset($_POST['usuario'], $_POST['clave'])) {
    $usuario = $_POST['usuario'];
    $clave = $_POST['clave'];

    $stmt = $pdo->prepare("SELECT * FROM HE_USUARIOS WHERE USUARIO_SIS = ?");
    $stmt->execute([$usuario]);
    $user = $stmt->fetch();

    if ($user && $clave === $user['CLAVE_SIS']) {
    $_SESSION['usuario'] = $usuario;
    $_SESSION['tipo'] = $user['TIPO_USUARIO_SIS'];

    // Redirige siempre a planos_menuppl.php
    header("Location: st_menuppl.php");
    exit;

    } else {
        $error = "Usuario o contrasena incorrectos.";
    }
}
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="st_estilo.css">
    
    
    
 <style>   
    
    
    .boton-logina {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    width: 100%;
    padding: 12px;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 30px;
    font-size: 16px;
    font-family: 'Helvetica', sans-serif;
    cursor: pointer;
    transition: background-color 0.3s;
    margin-top: 10px;
}

.boton-logina:hover {
    background-color: #0056b3;
}

.boton-logina .icono-boton {
    width: 10px;
    height: 10px;
}


.contenedor-menu {
    background-color: rgba(255, 255, 255, 0.95); /* Fondo blanco con ligera transparencia */
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15); /* Sombra suave */
    max-width: 400px;
    margin: 30px auto;
    text-align: center;
    margin: 3px auto;
    height: 20px auto;
}


 </style>   
    
</head>

<body>
 <div class="fondo-leyenda">
  <p>Sistema en Modo Pruebas, @Sergio Bravo contacto +56 9 46237231"</p>
</div>
   
    
<div class="contenedor-menu">
    <div class="titulo-menu">
    <img src="Iconos/st_logo.png" alt="Icono" style="width: 300px; height: auto;">
    <h1>Admnistración Equipos y Herramientas</h1>
    <h2>Acceso al Sistema</h2>

</div>

</div>

<?php if (!empty($error)) echo "<p style='color:red;'>$error</p>"; ?>
<form method="post">
    Usuario: <input type="text" name="usuario" required><br><br>
    Clave: <input type="password" name="clave" required><br><br>
    
    <button type="submit" class="boton-logina">
    <img src="Iconos/icono_login.png" alt="" class="icono-botona"> Ingresar
    </button>

</form>



<footer>
    <p>Desarrollado por sbravop@logitic.cl</p>
</footer>

</body>
</html>